ThingWorx Edge MicroServer (EMS) > Downloading and Installing the ThingWorx EMS and LSR > Libraries for EMS on Linux
  
Libraries for EMS on Linux
The EMS uses the following libraries on Linux platforms:
libpthread
libstdc++
libgcc_s
libc
libm (math library)
The Lua Script Resource also has libdl (dynamic loader).
Versions of the Libraries for Supported Platforms
The following table shows the supported platforms for the EMS and the versions of the libraries that you can use with them:
Platform
libc
libpthread
libstdc++
libgcc
libm
libdl (LSR only)
Linux ARM
2.9 (with gcc version 4.3.3)
2.9
6.0.10
4.3.3
2.9
2.9
2.8 (with gcc version 4.6.0)
2.9
6.0.10
4.3.3
2.9
2.8
Linux ARM HWFPU
2.8
2.8
6.0.15
4.6.0
2.8
2.8
Linux x86–32
2.8
2.8
6.0.10
4.3.2
2.8
2.8
Linux x86–64
2.8
2.8
6.0.15
4.6.0
2.8
2.8
Linux coldfire
2.11.1
2.11.1
6.0.14
4.5.1
2.11.1
2.11.1
Win32
XP or later
n/a
n/1
n/a
n/a
n/a